Update Collection Experiences

View as Markdown
Update the ordered list of experiences in a collection. Replaces the entire list with the provided experiences. Only published experiences belonging to the same publication can be added.

Path parameters

idintegerRequired
pkintegerRequired
The ID of the collection

Request

This endpoint expects an object.
experienceslist of maps from strings to integersRequired

List of dicts with ‘experience_id’ and ‘order’ keys

Response

Experiences updated
idintegerRead-only
uidstringRead-onlyformat: "uuid"
namestring<=256 characters

Collection name (max 60 characters)

publicationobject
Minimal serializer for Publication, used in other serializers
ownerobject
Simple user serializer with profile picture from associated IAMUserDetail. Fields: - id, email, full_name, username, is_verified (from IAMUser) - profile_picture (from first related IAMUserDetail if present)
tagsstringRead-only
ordered_experiencesstringRead-only
experience_countintegerRead-only
metricsstringRead-only
user_interaction_statestringRead-only
created_atdatetimeRead-only
updated_atdatetimeRead-only
descriptionstring<=512 characters

Collection description (max 500 characters)

visibilityenum
* `public` - Public * `private` - Private * `team` - Team * `org` - Organization
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error